## link-grammar 5.7.0

=== debian/changelog ===
link-grammar (5.7.0-3) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with swig 4.0.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Feb 2020 11:46:39 +0100

link-grammar (5.7.0-2) unstable; urgency=medium

  * QA upload.

  [ Matthias Klose ]
  * Allow stderr in python-tests autopkg test.

  [ Gianfranco Costamagna ]
  * debian/patches/incompatible-cxx-warnings.patch: drop the Werror option
    implicit-function-declaration from those passed to C++ compilers; since it
    is only valid for C.
  * debian/patches/fix-spell-guessing.patch: Give ourselves a few more guesses
    to find the right spelling for words. This should help tests. Dictionaries
    grow.
  * don't fail on new python autopkgtest, and put back the old autopkgtest

 -- Matthias Klose <doko@debian.org>  Thu, 13 Feb 2020 08:58:32 +0100

link-grammar (5.7.0-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
   - debian/patches/incompatible-cxx-warnings.patch: drop the Werror option
     implicit-function-declaration from those passed to C++ compilers; since it
     is only valid for C.
   - debian/patches/fix-spell-guessing.patch: Give ourselves a few more guesses
     to find the right spelling for words. This should help tests. Dictionaries
     grow.
   - don't fail on new python autopkgtest, and put back the old autopkgtest

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Feb 2020 16:18:53 +0100

link-grammar (5.7.0-1) unstable; urgency=medium

  [ Masayuki Hatta ]
  * QA upload.
  * Update standards version to 4.5.0, no changes needed.
  * Add 01-disable-multi-dict-test.patch to disable the multi-dict test.
    I'm still not sure why it works outside then fails inside pbuilder.

  [ Fabian Wolff ]
  * New upstream release.
  * Update watch file to use GitHub.
  * Upgrade to debhelper compat level 12.
  * Drop python-link-grammar package (Closes: #936951).
  * Add flex to build dependencies.
  * "make check" should run during the build; this is not what
    autopkgtest is intended for.
  * Add 00-disable-python-test.patch to disable the Python tests during
    the build (see the header for justification), and add python-tests
    autopkgtest to run the Python tests on the installed package
    instead.
  * Remove debian/liblink-grammar5.symbols (Closes: #939454)
    (admittedly not the best solution probably, but whoever has a
    better idea is welcome to fix this in the future).

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 03 Feb 2020 23:51:14 +0900

link-grammar (5.7.0-0ubuntu1) focal; urgency=medium

  * New upstream version
  * debian/liblink-grammar5.symbols:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Dec 2019 16:58:49 +0100

link-grammar (5.6.2-1ubuntu1) eoan; urgency=medium

  * debian/patches/incompatible-cxx-warnings.patch: drop the Werror option
    implicit-function-declaration from those passed to C++ compilers; since it
    is only valid for C.
  * debian/patches/fix-spell-guessing.patch: Give ourselves a few more guesses
    to find the right spelling for words. This should help tests. Dictionaries
    grow.
  * debian/rules: soften the dpkg-gensymbols options to -c1; such that we don't
    fail to build because of C++ symbols.
  * debian/liblink-grammar5.symbols: drop mangled C++ symbols which will differ
    per architecture, etc.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 22 Aug 2019 12:14:23 -0400

=== debian/control ===
Source: link-grammar
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ant [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
 autoconf-archive,
 default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
 d-shlibs,
 dh-python,
 libedit-dev,
 libhunspell-dev,
 libsqlite3-dev,
 minisat,
 pkg-config,
 python3-dev,
 python3-distutils,
 swig,
 zlib1g-dev,
 flex,
Standards-Version: 4.5.0
Homepage: https://www.abisource.com/projects/link-grammar/
Vcs-Browser: https://salsa.debian.org/debian/link-grammar
Vcs-Git: https://salsa.debian.org/debian/link-grammar.git

Package: link-grammar
Architecture: any
Depends:
 link-grammar-dictionaries-en,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Carnegie Mellon University's link grammar parser
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the user-executable binary.

Package: liblink-grammar5
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 link-grammar-dictionaries-en,
 minisat,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 link-grammar-dictionaries-all,
Description: Carnegie Mellon University's link grammar parser (libraries)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the shared library.

Package: liblink-grammar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblink-grammar5 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends},
Breaks:
 liblink-grammar4-dev (<< 5.3.7),
Replaces:
 liblink-grammar4-dev (<< 5.3.7),
Description: Carnegie Mellon University's link grammar parser (development headers)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the header files and static libraries

Package: liblink-grammar-java
Section: java
Architecture: alpha amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32
Depends:
 liblink-grammar5,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 liblink-grammar4-java (<< 5.3.7),
Replaces:
 liblink-grammar4-java (<< 5.3.7),
Description: Carnegie Mellon University's link grammar parser (JNI library)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains a Java JNI library for using link-grammar from your java
 applications.

Package: python3-link-grammar
Architecture: any
Section: python
Depends:
 liblink-grammar5,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 link-grammar-dictionaries-all,
 python-link-grammar-examples,
Description: Carnegie Mellon University's link grammar parser (Python 3)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains a Python 3 library for using link-grammar.

Package: python-link-grammar-examples
Architecture: all
Multi-Arch: foreign
Section: python
Depends:
 ${misc:Depends},
Enhances:
 python-link-grammar,
 python3-link-grammar,
Description: CMU's link grammar parser (Python examples)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains examples for using python-link-grammar or
 python3-link-grammar.

Package: link-grammar-dictionaries-en
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Carnegie Mellon University's link grammar parser (English dictionary)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the English dictionaries.

Package: link-grammar-dictionaries-all
Architecture: all
Multi-Arch: foreign
Depends:
 link-grammar-dictionaries-en,
 ${misc:Depends},
Breaks:
 link-grammar-dictionaries-lt (<< 5.3.7),
Replaces:
 link-grammar-dictionaries-lt (<< 5.3.7),
Description: Carnegie Mellon University's link grammar parser (all dictionaries)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains all dictionaries bundled with link-grammar.

=== debian/tests/control ===
Tests: python-tests
Depends: @, python3
Restrictions: allow-stderr

Tests: unit-tests
Depends: @, @builddeps@, python3-distutils, build-essential, hunspell-en-us, locales-all,
 default-jdk [!hppa !hurd-i386 !m68k !sh4],
Restrictions: build-needed

## link-grammar 5.8.0

=== debian/changelog ===
link-grammar (5.8.0-2) unstable; urgency=medium

  * QA upload.

  * rename patches;
    add debian/patches/README micro-policy;
    consistently add DEP-3 patch headers
  * support DEB_BUILD_OPTIONS=noopt:
    + add patches cherry-picked upstream
      to allow overriding upstream compiler option -O3
    + re-enable -O3 by default in rules file
  * run tests verbosely in autopkgtest
  * stop include unit tests with package python-link-grammar-examples,
    and stop check those tests with autopkgtest:
    superfluous and requires data from source package
  * fix build-depend on locales-all,
    and stop disable tests during build (seemingly works now)
  * build-depend on hunspell libpcre2-dev
  * tighten build-dependency on d-shlibs, and drop local overrides
  * use debhelper compatibility level 13 (not 12)
  * build-depend on dh-sequence-python3 python3-all-dev
    (not dh-python python3-dev python3-distutils
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Dec 2020 16:46:08 +0100

link-grammar (5.8.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release - closes: #962453

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 23 Aug 2020 09:32:43 +0900

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,25 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ant [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
  autoconf-archive,
  default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
- d-shlibs,
- dh-python,
+ d-shlibs (>= 0.98~),
+ dh-sequence-python3,
+ hunspell,
  libedit-dev,
  libhunspell-dev,
+ libpcre2-dev,
  libsqlite3-dev,
+ locales-all <!nocheck>,
  minisat,
  pkg-config,
- python3-dev,
- python3-distutils,
+ python3-all-dev,
  swig,
  zlib1g-dev,
  flex,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# TODO: try re-enable upstream optimizations
# disabled to test if cause of flaky multi-thread test (see bug#975696)
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEB_CFLAGS_MAINT_STRIP=-O2
export DEB_CXXFLAGS_MAINT_STRIP=-O2
export DEB_CFLAGS_MAINT_APPEND=-O3
export DEB_CXXFLAGS_MAINT_APPEND=-O3
endif

no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k sh4
ifneq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
CONFIGURE_ARGS += --disable-java-bindings
endif

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf bin/org
	-rm -f linkgrammar-*.jar

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-static \
		--enable-pthreads \
		--with-hunspell-dictdir=/usr/share/hunspell \
		$(CONFIGURE_ARGS)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
ifeq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
	mkdir -p debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblink-grammar-java.so* \
		debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
endif
	find debian/ -name "*.la" -delete
	dh_install -Xtests.py
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--exclude-a \
		--multiarch \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so

override_dh_compress:
	dh_compress --exclude=.py

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@, python3-distutils, build-essential, hunspell-en-us, locales-all,
 default-jdk [!hppa !hurd-i386 !m68k !sh4],
Restrictions: build-needed, allow-stderr

## link-grammar 5.8.1

=== debian/changelog ===
link-grammar (5.8.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * adopt package
  * update watch file:
    + simplify filenamemangle regex
    + use substitution strings
    + track tags (not releases)
    + add usage comment
  * update git-buildpackage config:
    + use DEP-14 branch names */latest
    + sign tags
    + filter out all .git* files
    + stop disable patch numbering
    + add usage comment
  * set Rules-Requires-Root: no
  * drop patches cherry-picked upstream now applied

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jan 2021 03:14:27 +0100

link-grammar (5.8.0-7) unstable; urgency=medium

  * QA upload.

  * add patches cherry-picked upstream
    to fix multi-dict test failure
    (see bug#975696)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Jan 2021 01:29:28 +0100

link-grammar (5.8.0-6) unstable; urgency=medium

  * QA upload.

  * drop unsuccessful patch 1001
  * add patches cherry-picked upstream
    to fix multi-thread test failure;
    closes: bug#975696

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Jan 2021 00:30:14 +0100

link-grammar (5.8.0-5) unstable; urgency=medium

  * QA upload.

  * add patch 1001 as a possible multithreading fix

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Dec 2020 14:21:33 +0100

link-grammar (5.8.0-4) unstable; urgency=medium

  * QA upload.

  * inspect test-suite log in case of failure,
    unless DEB_BUILD_OPTIONS=terse

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 21:47:56 +0100

link-grammar (5.8.0-3) unstable; urgency=medium

  * QA upload.

  * improve autopkgtest:
    + check core tests and python bindings unit tests separately
    + tighten python bindings unit tests
      to check data and all (not only most) code
      from installed packaged (not from unpacked source)
    + flag core test as flaky
      (mysteriously fails particularly on armhf,
      despite succeeding during build);
      closes: bug#975696, thanks to Graham Inggs

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 18:46:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: link-grammar
 Section: text
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- debhelper-compat (= 13),
  ant [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
  autoconf-archive,
+ d-shlibs (>= 0.98~),
+ debhelper-compat (= 13),
  default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
- d-shlibs (>= 0.98~),
  dh-sequence-python3,
+ flex,
  hunspell,
  libedit-dev,
  libhunspell-dev,
@@ -20,11 +21,11 @@
  python3-all-dev,
  swig,
  zlib1g-dev,
- flex,
 Standards-Version: 4.5.1
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git
+Rules-Requires-Root: no
 
 Package: link-grammar
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,9 @@
 	-rm -rf bin/org
 	-rm -f linkgrammar-*.jar
 
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--disable-static \
@@ -34,8 +37,10 @@
 		--with-hunspell-dictdir=/usr/share/hunspell \
 		$(CONFIGURE_ARGS)
 
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+override_dh_auto_test:
+	dh_auto_test -- || { cat test/test-suite.log; false; }
+endif
 
 override_dh_install:
 ifeq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/opencog/link-grammar/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## link-grammar 5.10.2~dfsg

=== debian/changelog ===
link-grammar (5.10.2~dfsg-1build1) jammy; urgency=medium

  * No-change rebuild with fixed py3versions

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Nov 2021 08:29:50 +0000

link-grammar (5.10.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + fix size in brand-new `link-generator` (hits 32-bit & ARM);
      closes: bug#993847, thanks to Adrian Bunk

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * drop obsolete unapplied patches
  * enable sh4 as java-supported architecture

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Sep 2021 20:31:12 +0200

link-grammar (5.10.1~dfsg-3) unstable; urgency=medium

  * drop non-working workaround for bug#993847
  * add patches cherry-picked upstream
    to fix testsuite failing on 32bit archs;
    closes: bug#993847, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Sep 2021 14:54:25 +0200

link-grammar (5.10.1~dfsg-2) unstable; urgency=medium

  * conditionally avoid tests
    confirmed upstream to be broken on 32bit archs;
    closes: bug#993847, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Sep 2021 00:32:29 +0200

link-grammar (5.10.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop build-depend on minisat, unused since 5.9.1
  * update copyright info:
    + add alternate GitHub source URI
    + use License-Grant and Reference;
      add lintian overrides about License-Reference field
    + consistently list License sections last, and sort alphabetically
    + normalize listing of copyright holders, and sort alphabetically
    + normalize listing of files
    + fix list file licensed ISC and LGPL-2.1
    + update coverage
  * add source script copyright-check
  * update copyright hints

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 12:19:59 +0200

link-grammar (5.10.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  * update copyright info:
    + repackage source, omitting source-less PDF file
  * update watch file: use repack suffix ~dfsg
  * drop obsolete python2 install hint file
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Sep 2021 19:46:42 +0200

link-grammar (5.9.1-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Jun 2021 11:26:44 +0200

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,11 @@
  libpcre2-dev,
  libsqlite3-dev,
  locales-all <!nocheck>,
- minisat,
  pkg-config,
  python3-all-dev,
  swig,
  zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND=-O3
 endif
 
-no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k sh4
+no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k
 ifneq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
 CONFIGURE_ARGS += --disable-java-bindings
 endif

## link-grammar 5.10.4~dfsg

=== debian/changelog ===
link-grammar (5.10.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Mar 2022 03:03:08 +0100

link-grammar (5.10.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten lintian overrides
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Feb 2022 22:18:01 +0100

link-grammar (5.10.2~dfsg-3) unstable; urgency=medium

  * add patch 2001
    to work around broken version check in ax_python_devel.m4;
    closes: bug#1004416, thanks to Graham Inggs

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2022 10:53:23 +0100

link-grammar (5.10.2~dfsg-2) unstable; urgency=medium

  * revert to disable sh4 as java-supported architecture
  * build-depend on python3-dev (not python3-all-dev);
    closes: bug#998442, thanks to Graham Inggs
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Nov 2021 23:32:19 +0100

## link-grammar 5.10.5~dfsg

=== debian/changelog ===
link-grammar (5.10.5~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + fix typo
    + update coverage
  * declare compliance with Debian Policy 4.6.1
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Jun 2022 23:47:26 +0200

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
  libsqlite3-dev,
  locales-all <!nocheck>,
  pkg-config,
- python3-all-dev,
+ python3-dev,
  swig,
  zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,10 @@
 export DEB_CXXFLAGS_MAINT_APPEND=-O3
 endif
 
-no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k
+no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k sh4
 ifneq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
 CONFIGURE_ARGS += --disable-java-bindings
 endif
-
-%:
-	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -65,3 +62,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
+
+%:
+	dh $@

## link-grammar 5.11.0~dfsg

=== debian/changelog ===
link-grammar (5.11.0~dfsg-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 20:22:16 +0000

link-grammar (5.11.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop all patch, now applied
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Oct 2022 17:23:51 +0200

link-grammar (5.10.5~dfsg-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to find zlib using pkg-config
  * add patches cherry-picked upstream
    to bypass a version check bug in AX_PYTHON_DEVEL,
    superseding patch 2001;
    closes: bug#1019432, #1020176,
    thanks to Graham Inggs and Lucas Nussbaum
  * add debian/patches/README
    documenting patch versioning micro-policy
  * drop ancient breaks/replaces
  * update source helper script copyright-check
  * override more license-related lintian warnings

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Sep 2022 12:20:09 +0200

=== debian/control ===
--- 
+++ 
@@ -83,10 +83,6 @@
  liblink-grammar5 (= ${binary:Version}),
  ${devlibs:Depends},
  ${misc:Depends},
-Breaks:
- liblink-grammar4-dev (<< 5.3.7),
-Replaces:
- liblink-grammar4-dev (<< 5.3.7),
 Description: Carnegie Mellon University's link grammar parser (development headers)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a
@@ -110,10 +106,6 @@
  liblink-grammar5,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- liblink-grammar4-java (<< 5.3.7),
-Replaces:
- liblink-grammar4-java (<< 5.3.7),
 Description: Carnegie Mellon University's link grammar parser (JNI library)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a
@@ -211,10 +203,6 @@
 Depends:
  link-grammar-dictionaries-en,
  ${misc:Depends},
-Breaks:
- link-grammar-dictionaries-lt (<< 5.3.7),
-Replaces:
- link-grammar-dictionaries-lt (<< 5.3.7),
 Description: Carnegie Mellon University's link grammar parser (all dictionaries)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a

## link-grammar 5.12.0~dfsg

=== debian/changelog ===
link-grammar (5.12.0~dfsg-2) unstable; urgency=medium

  * fix source helper tool copyright-check
    to avoid insecure shell expansion
  * simplify build rules: testsuite is now more verbose;
    thanks to Matthias Klose (see bug#1029233)
  * add patch cherry-picked upstream
    to allocate a per-thread copy of pcre2_match_data

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jan 2023 06:40:52 +0100

link-grammar (5.12.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix source helper tool copyright-check
    to work with Path::Tiny 0.144
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Jan 2023 11:16:04 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-dev,
  swig,
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
 CONFIGURE_ARGS += --disable-java-bindings
 endif
 
+%:
+	dh $@
+
 override_dh_auto_clean:
 	dh_auto_clean
 	-rm -rf bin/org
@@ -33,11 +36,6 @@
 		--enable-pthreads \
 		--with-hunspell-dictdir=/usr/share/hunspell \
 		$(CONFIGURE_ARGS)
-
-ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	dh_auto_test -- || { cat test/test-suite.log; false; }
-endif
 
 override_dh_install:
 ifeq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
@@ -62,6 +60,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
-
-%:
-	dh $@

=== debian/tests/control ===
Test-Command:
 set -e;
 make -C tests;
 tests/dict-reopen;
 tests/multi-dict;
 tests/multi-thread;
 tests/mem-leak
Depends:
 build-essential,
 default-jdk [!hppa !hurd-i386 !m68k !sh4],
 hunspell-en-us,
 locales-all,
 python3-distutils,
 @,
 @builddeps@,
Restrictions: build-needed, allow-stderr, flaky

Test-Command:
 cd bindings/python-examples && srcdir="$(pwd)" python3 tests.py -v
Depends:
 hunspell-en-us,
 link-grammar-dictionaries-all,
 locales-all,
 python3,
 python3-link-grammar,
Restrictions: allow-stderr

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
repacksuffix=~dfsg,\
dversionmangle=auto \
https://github.com/opencog/link-grammar/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## link-grammar 5.12.3~dfsg

=== debian/changelog ===
link-grammar (5.12.3~dfsg-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:57:11 +0000

link-grammar (5.12.3~dfsg-1build2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:11:06 +0100

link-grammar (5.12.3~dfsg-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:12:09 +0000

link-grammar (5.12.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2023 18:28:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: link-grammar
 Section: text
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  ant [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
  autoconf-archive,

## link-grammar 5.12.4~dfsg

=== debian/changelog ===
link-grammar (5.12.4~dfsg-2) unstable; urgency=high

  * Team upload
  * Source-only upload

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 May 2024 13:29:51 -0400

link-grammar (5.12.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * generally update java-related architecture constraints,
    semi-auto-resolved using new source helper script pkgarchs.sh;
    thanks to Samuel Thibault for nudging
  * update copyright info: update coverage
  * stop autopkgtest-depend on python3-distutils;
    closes: bug#1065897, thanks to Graham Inggs
  * rename libraries for 64-bit time_t transition;
    tighten build-dependency on d-shlibs to support option --t64;
    closes: bug#1062748, thanks to Steve Langasek
  * tighten cleanup after build;
    closes: bug#1047439, thanks to Lucas Nussbaum
  * build-depend on pkgconf (not pkg-config)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Apr 2024 14:28:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: link-grammar
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- ant [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
+# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
+ ant [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  autoconf-archive,
- d-shlibs (>= 0.98~),
+ d-shlibs (>= 0.106~),
  debhelper-compat (= 13),
- default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
+# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
+ default-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  dh-sequence-python3,
  flex,
  hunspell,
@@ -17,7 +18,7 @@
  libpcre2-dev,
  libsqlite3-dev,
  locales-all <!nocheck>,
- pkg-config,
+ pkgconf,
  python3-dev,
  swig,
  zlib1g-dev,
@@ -49,7 +50,7 @@
  .
  This package contains the user-executable binary.
 
-Package: liblink-grammar5
+Package: liblink-grammar5t64
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -60,6 +61,12 @@
  ${shlibs:Depends},
 Suggests:
  link-grammar-dictionaries-all,
+Provides:
+ ${t64:Provides},
+Replaces:
+ liblink-grammar5,
+Conflicts:
+ liblink-grammar5 (<< ${source:Version}),
 Description: Carnegie Mellon University's link grammar parser (libraries)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a
@@ -81,7 +88,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- liblink-grammar5 (= ${binary:Version}),
+ liblink-grammar5t64 (= ${binary:Version}),
  ${devlibs:Depends},
  ${misc:Depends},
 Description: Carnegie Mellon University's link grammar parser (development headers)
@@ -102,9 +109,10 @@
 
 Package: liblink-grammar-java
 Section: java
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32
-Depends:
- liblink-grammar5,
+# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
+Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x
+Depends:
+ liblink-grammar5t64,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Carnegie Mellon University's link grammar parser (JNI library)
@@ -128,7 +136,7 @@
 Architecture: any
 Section: python
 Depends:
- liblink-grammar5,
+ liblink-grammar5t64,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

## link-grammar 5.12.5~dfsg

=== debian/changelog ===
link-grammar (5.12.5~dfsg-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:02:27 +0100

link-grammar (5.12.5~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Jun 2024 08:46:46 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-dev,
  swig,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git

=== debian/rules ===
--- 
+++ 
@@ -14,18 +14,29 @@
 export DEB_CXXFLAGS_MAINT_APPEND=-O3
 endif
 
-no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k sh4
-ifneq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
+# resolve supported architectures for arch-varying build-dependencies
+# (in maintainer mode only: uses network and messes with control file)
+ifneq (,$(DEB_MAINTAINER_MODE))
+$(shell sh debian/pkgarchs.sh default-jdk > debian/ARCHS_java)
+endif
+$(eval ARCHS_java := $(shell cat debian/ARCHS_java))
+ifneq (,$(DEB_MAINTAINER_MODE))
+clean: debian/control debian/tests/control
+
+debian/control debian/tests/control::
+	perl -g -i -p \
+		-e 's/^# autogenerated:[^\n]+\n(?: (?:ant|default-jdk) \[|Architecture: )\K[^\]\n]*/$(ARCHS_java)/gm;' \
+		$@
+endif
+ifeq (,$(filter $(DEB_HOST_ARCH), $(ARCHS_java)))
 CONFIGURE_ARGS += --disable-java-bindings
 endif
 
 %:
 	dh $@
 
-override_dh_auto_clean:
-	dh_auto_clean
-	-rm -rf bin/org
-	-rm -f linkgrammar-*.jar
+execute_before_dh_auto_clean:
+	[ ! -f Makefile ] || $(MAKE) maintainer-clean
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -38,7 +49,7 @@
 		$(CONFIGURE_ARGS)
 
 override_dh_install:
-ifeq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
+ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHS_java)))
 	mkdir -p debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
 	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblink-grammar-java.so* \
 		debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
@@ -46,6 +57,7 @@
 	find debian/ -name "*.la" -delete
 	dh_install -Xtests.py
 	d-shlibmove --commit \
+		--t64 \
 		--devunversioned \
 		--exclude-la \
 		--exclude-a \

## link-grammar 5.12.6+dfsg

=== debian/changelog ===
link-grammar (5.12.6+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten resolving arch-specific dependencies
  * update watch file: use file format 5
  * declare compliance with Debian Policy 4.7.2
  * set Multi-Arch: no (not same)
    for binary package liblink-grammar-dev

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Aug 2025 11:08:58 +0200

## link-grammar 5.12.7+dfsg

=== debian/changelog ===
link-grammar (5.12.7+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Sep 2025 21:09:58 +0200

## link-grammar 5.12.8+dfsg

=== debian/changelog ===
link-grammar (5.12.8+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Sep 2025 09:07:48 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-dev,
  swig,
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git
@@ -86,7 +86,7 @@
 Package: liblink-grammar-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
+Multi-Arch: no
 Depends:
  liblink-grammar5t64 (= ${binary:Version}),
  ${devlibs:Depends},
@@ -108,9 +108,9 @@
  This package contains the header files and static libraries
 
 Package: liblink-grammar-java
-Section: java
 # autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
 Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x
+Section: java
 Depends:
  liblink-grammar5t64,
  ${misc:Depends},

## link-grammar 5.13.0+dfsg

=== link-grammar/minisat/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)

project(minisat)

#--------------------------------------------------------------------------------------------------
# Configurable options:

option(STATIC_BINARIES "Link binaries statically." ON)
option(USE_SORELEASE   "Use SORELEASE in shared library filename." ON)

#--------------------------------------------------------------------------------------------------
# Library version:

set(MINISAT_SOMAJOR   2)
set(MINISAT_SOMINOR   1)
set(MINISAT_SORELEASE 0)

# Compute VERSION and SOVERSION:
if (USE_SORELEASE)
  set(MINISAT_VERSION ${MINISAT_SOMAJOR}.${MINISAT_SOMINOR}.${MINISAT_SORELEASE})
else()
  set(MINISAT_VERSION ${MINISAT_SOMAJOR}.${MINISAT_SOMINOR})
endif()
set(MINISAT_SOVERSION ${MINISAT_SOMAJOR})

#--------------------------------------------------------------------------------------------------
# Dependencies:

find_package(ZLIB)
include_directories(${ZLIB_INCLUDE_DIR})
include_directories(${minisat_SOURCE_DIR})

#--------------------------------------------------------------------------------------------------
# Compile flags:

add_definitions(-D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS)

#--------------------------------------------------------------------------------------------------
# Build Targets:

set(MINISAT_LIB_SOURCES
    minisat/utils/Options.cc
    minisat/utils/System.cc
    minisat/core/Solver.cc
    minisat/simp/SimpSolver.cc)

add_library(minisat-lib-static STATIC ${MINISAT_LIB_SOURCES})
add_library(minisat-lib-shared SHARED ${MINISAT_LIB_SOURCES})

target_link_libraries(minisat-lib-shared ${ZLIB_LIBRARY})
target_link_libraries(minisat-lib-static ${ZLIB_LIBRARY})

add_executable(minisat_core minisat/core/Main.cc)
add_executable(minisat_simp minisat/simp/Main.cc)

if(STATIC_BINARIES)
  target_link_libraries(minisat_core minisat-lib-static)
  target_link_libraries(minisat_simp minisat-lib-static)
else()
  target_link_libraries(minisat_core minisat-lib-shared)
  target_link_libraries(minisat_simp minisat-lib-shared)
endif()

set_target_properties(minisat-lib-static PROPERTIES OUTPUT_NAME "minisat")
set_target_properties(minisat-lib-shared
  PROPERTIES
    OUTPUT_NAME "minisat" 
    VERSION ${MINISAT_VERSION}
    SOVERSION ${MINISAT_SOVERSION})

set_target_properties(minisat_simp       PROPERTIES OUTPUT_NAME "minisat")

#--------------------------------------------------------------------------------------------------
# Installation targets:

install(TARGETS minisat-lib-static minisat-lib-shared minisat_core minisat_simp 
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib)

install(DIRECTORY minisat/mtl minisat/utils minisat/core minisat/simp
        DESTINATION include/minisat
        FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
link-grammar (5.13.0+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Oct 2025 16:18:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-# TODO: try re-enable upstream optimizations
-# disabled to test if cause of flaky multi-thread test (see bug#975696)
 ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export DEB_CFLAGS_MAINT_STRIP=-O2
 export DEB_CXXFLAGS_MAINT_STRIP=-O2
@@ -24,9 +22,11 @@
 clean: debian/control debian/tests/control
 
 debian/control debian/tests/control::
-	perl -g -i -p \
-		-e 's/^# autogenerated:[^\n]+\n(?: (?:ant|default-jdk) \[|Architecture: )\K[^\]\n]*/$(ARCHS_java)/gm;' \
-		$@
+	perl -sgpi \
+	 -e 's/^# autogenerated:.+\n\s+\S*$$pat.*\[\K[^\]\n]*/$$list/gm;' \
+	 -e 's/^Package:.*$$pat.*\n# autogenerated:.+\nArchitecture:\s+\K[^\n]*/$$list/gm;' \
+	 -- -pat='(ant|jdk|java)' -list='$(ARCHS_java)' \
+	 -- $@
 endif
 ifeq (,$(filter $(DEB_HOST_ARCH), $(ARCHS_java)))
 CONFIGURE_ARGS += --disable-java-bindings

=== debian/tests/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  tests/mem-leak
 Depends:
  build-essential,
- default-jdk [!hppa !hurd-i386 !m68k !sh4],
+# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
+ default-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  hunspell-en-us,
  locales-all,
- python3-distutils,
  @,
  @builddeps@,
 Restrictions: build-needed, allow-stderr, flaky

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: opencog
Project: link-grammar
Dversion-Mangle: auto
Repacksuffix: +dfsg
